org.apache.olingo.server.api.processor

## Interface ComplexProcessor

- All Superinterfaces:
    Processor

      public interface ComplexProcessor
      extends Processor

  Processor interface for handling an instance of a complex type, e.g., a complex property of an entity.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteComplex(ODataRequest request, ODataResponse response, UriInfo uriInfo)` Deletes complex-type value from an entity and puts the status into the response.
    `void` | `readComplex(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType responseFormat)` Reads complex-type instance.
    `void` | `updateComplex(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType requestFormat, ContentType responseFormat)` Update complex-type instance with send data in the persistence and puts content, status, and Location into the response.

    - ### Methods inherited from interface org.apache.olingo.server.api.processor.Processor

      `init`

- - ### Method Detail

    - #### readComplex

          void readComplex(ODataRequest request,
                           ODataResponse response,
                           UriInfo uriInfo,
                           ContentType responseFormat)
                    throws ODataApplicationException,
                           ODataLibraryException

      Reads complex-type instance. If it is not available, for example due to permissions, the service responds with 404 Not Found.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### updateComplex

          void updateComplex(ODataRequest request,
                             ODataResponse response,
                             UriInfo uriInfo,
                             ContentType requestFormat,
                             ContentType responseFormat)
                      throws ODataApplicationException,
                             ODataLibraryException

      Update complex-type instance with send data in the persistence and puts content, status, and Location into the response.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `requestFormat` - content type of body sent with request
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### deleteComplex

          void deleteComplex(ODataRequest request,
                             ODataResponse response,
                             UriInfo uriInfo)
                      throws ODataApplicationException,
                             ODataLibraryException

      Deletes complex-type value from an entity and puts the status into the response. Deletion for complex-type values is equal to set the value to `NULL` (see chapter "11.4.9.2 Set a Value to Null")
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.